freedombox-setup (0.13) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Run wrap-and-sort
  * Depend on freedombox instead of plinth
  * Update description to call this a transitional package
  * Move preseed file to Plinth
  * Depend on plinth later than 0.45.0
  * Move motd message to Plinth
  * Remove explicit configuration of motd message
  * Don't set IPv6 forwarding to 1
  * Move sudoers configuration to plinth
  * Remove configuring etckeeper during installation
  * Drop support enabling userdir apache2 module
  * Remove support for upgrading from php5
  * Remove reference to first-run-enable flag files
  * Move all dependencies to plinth

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Dec 2018 17:13:23 -0500

freedombox-setup (0.12) unstable; urgency=medium

  [ Q.-A. Nick ]
  * Update control to remove how-can-i-help dependency

  [ James Valleroy ]
  * Explicitly select source format
  * Bump Standards-Version
  * Use https URL for copyright format
  * Update Vcs URLs to Salsa
  * Rework and expand description

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 13 Feb 2018 05:45:53 -0500

freedombox-setup (0.11) unstable; urgency=high

  [ James Valleroy ]
  * Disable systemd pager for CI test.
  * Bump standards version to 4.1.1.
  * Remove depends that are also plinth depends (Closes: #877955).
  * Add myself to uploaders.
  * Set high urgency because plinth 0.15.3+ds-1 breaks older versions of
    freedombox-setup.

  [ Sunil Mohan Adapa ]
  * Cleanup setup steps based on Plinth changes (Closes: #873946):
    + Remove SSH and Apache setup moved to Plinth.
    + Remove initial configuration of network devices.
    + Remove first-run completely and avoid rebooting.
    + Remove etckeeper.
    + Remove providing source.
    + Remove setup step.
    + Move Apache FreedomBox configuration to Plinth.
    + Move Avahi configuration to Plinth.
  * There is now no need to run setup anymore (Closes: #834260).

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 21 Oct 2017 17:22:18 -0400

freedombox-setup (0.10) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Drop obsolete build dependencies needed to build documentation.

  [ Sunil Mohan Adapa ]
  * Exit with error code when a component fails (Closes: #835632).
  * Cleanup dependencies that are dependencies of plinth, or otherwise no
    longer needed (Closes: #837335).

  [ Federico Ceratto ]
  * Update VCS url.

  [ James Valleroy ]
  * Drop obsolete package net-tools dependency (Closes: #849413).

 -- Federico Ceratto <federico@debian.org>  Sat, 14 Jan 2017 15:59:14 +0000

freedombox-setup (0.9.3) unstable; urgency=medium

  * Change maintainer to the FreedomBox packaging team.
  * Make removing policy-rc.d more robust (Closes: #803898).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Aug 2016 20:30:40 +0200

freedombox-setup (0.9.2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Require libapache2-mod-gnutls >= 0.7.4-1 to include fix for #514005
    (Closes: #824370).
  * Remove flash-kernel code specific for beaglebone (Closes: #825677).
  * Move LDAP server setup and PAM configuration over to Plinth
    (Closes: #824641).
  * Enable userdir for users upgrading from 0.9.1 (#825321).
  * Don't set laptop mode (Closes: #826345).

  [ James Valleroy ]
  * Remove flash-kernel script and corresponding machine-detect script
    (Closes: #825875).
  * Require plinth >> 0.9.2 to include LDAP setup and PAM configs.
  * Remove script that creates access point for Dreamplug
    (Closes: #825939).
  * Enable userdir mod during apache setup (Closes: #825321).

 -- Federico Ceratto <federico@debian.org>  Fri, 17 Jun 2016 23:32:56 +0100

freedombox-setup (0.9.1) unstable; urgency=medium

  [ James Vallery ]
  * Migrate from php5 to php7.0 (Closes: #821484).

  [ Sunil Mohan Adapa ]
  * When upgrading from < 0.9 enable php7.

 -- Federico Ceratto <federico@debian.org>  Sun, 15 May 2016 12:25:33 +0100

freedombox-setup (0.9) unstable; urgency=medium

  [ James Valleroy ]
  * Fix Wi-Fi AP setup. Patch from Daniel Gnoutcheff.
  * Allow console access to 'sudo' group users (Closes: #807725).
  * Print important notes after finishing setup (Closes: #803897).

 -- Federico Ceratto <federico@debian.org>  Sat, 02 Apr 2016 18:12:56 +0100

freedombox-setup (0.8) unstable; urgency=medium

  * Adjust autopkgtest script to set HOME, to make sure
    freedombox-setup is installable.
  * Only run 'git config --global' in postinst when $HOME is set,
    otherwise git fail.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Jan 2016 23:17:51 +0000

freedombox-setup (0.7) unstable; urgency=low

  [ James Valleroy ]
  * Move hardware setup outside to freedom-maker (Closes: #803734).
  * Update preseed file for stretch (Closes: #806181).

  [ Sunil Mohan Adapa ]
  * Remove LXC (Closes: #806184).
  * Update Debian CI test case to fix failing tests (Closes: #806597).
  * Consider wireless when configuring wired ifaces.

 -- Federico Ceratto <federico@debian.org>  Sat, 12 Dec 2015 21:56:35 +0000

freedombox-setup (0.6) unstable; urgency=medium
  [ Nick Daly ]
  * Upload 0.6 release.

  [ James Valleroy ]
  * Fix error preventing flash-kernel install on Dreamplug (Closes: #794825).
  * Fix some errors in flash-kernel script (Closes: #798417).
  * Switch from mod_ssl to mod_gnutls (Closes: #798415).
  * Remove old manual in favor of new one present in Plinth.
  * Bump dependency on plinth to >= 0.6.

  [ Sunil Mohan Adapa ]
  * Use httpredir.debian.org instead of http.debian.net (Closes: #795737).
  * Remove Tor setup, now handled by Plinth (Closes: #795750).
  * Remove diagnostic testsuite, now handled by Plinth (Closes: #795768).
  * Remove unused and not-working code (Closes: #796860).
  * Support Raspberry Pi 2 (Closes: #797007).
  * Add login greeter message with location of manuals (Closes: #794826).
  * Remove unneeded changes to fstab, hosts, and apt sources (Closes: #797377).
  * Don't remove SSH keys; this will be done by freedom-maker for pre-built
    images (Closes: #797376).
  * Default to not downloading sources (Closes: #795764).
  * Remove apache2-mpm-worker from depends list (Closes: #791597).
  * Select Apache MPM prefork by default. Disable other MPMs.
  * Merge Wi-Fi configuration with network configuration (Closes: #797373).
  * Install avahi service files properly (Closes: #795880).
  * Move Apache, PAM, sudoers configurations to files.
  * Move sysctl configuration and LXC template to new hierarchy.
  * Move machine-detect file to /usr/lib/freedombox.
  * Add Lintian override for Apache configuration name.
  * Enable PHP5 and CGI modules by default to avoid restarting Apache2 later.

 -- Nick Daly <Nick.M.Daly@gmail.com>  Fri, 16 Oct 2015 16:24:12 -0500

freedombox-setup (0.5) unstable; urgency=medium

  [ Nick Daly ]
  * Upload 0.5 release.

  [ Sunil Mohan Adapa ]
  * Migrate to dh_python3 from python-support (Closes: #786164).
  * Use nmcli to setup network connections (Closes: #786689).
  * Remove jwchat/ejabber setup as it is handle by Plinth (Closes: #787025).
  * Remove LDAP root password and create ou=groups (Closes: #787128).
  * Remove renaming of network interaces as it does not work.  Start using
    systemd's new predictable naming.  Don't alter
    /etc/network/interface anymore.  (Closes: #789441).
  * Use network manager for configuring DNS and DHCP servers.

  [ James Valleroy ]
  * Apply patch from Sunil to fix hang issue when building Raspberry Pi images.
  * Remove privoxy setup as it happens in Plinth now (Closes: #791704).
  * Configure PAM for LDAP user logins (Close: #792233).

 -- Nick Daly <Nick.M.Daly@gmail.com>  Thu, 06 Aug 2015 06:40:43 -0500

freedombox-setup (0.4) experimental; urgency=low

  [ Nick Daly ]
  * Uploading new release.
  * Made lintian clean(er).

  [ James Valleroy ]
  * Stop ejabberd service before removing it's cert file during
    first-run.
  * Configure macchanger so it doesn't run automatically when the
    interface is brought up. We will run it manually if an interface
    has a null MAC during first-run.
  * Update dnsmasq upstream to eth0, since that is the upstream
    interface now.
  * Update jwchat test to check /jwchat URL.
  * Setup uap0 interface on dreamplug, using hostapd to configure wifi AP.
  * Enable dhcp on wlan network.
  * Create uap0 interface before starting tor.
  * Bring up uap0 during first-run. This allows interface-detect to see it.
  * Set HOME in first-run initscript so etckeeper can find the git config.
  * Beaglebone: Don't need to copy u-boot files to boot partition.
    freedom-maker will install it in front of boot partition.
  * Don't skip flash-kernel on beaglebone (reverts previous change). It
    doesn't cause issues now since we are using ext2 for boot parition.

  [ peacekeeper ]
  * Add initial support for cubietruck.
  * Add rtc_sunxi as boot module.

  [ Sunil Mohan Adapa ]
  * Remove pagekite recommendation as Plinth now takes care of its
    installation and setup (Closes: #778310).
  * Don't indiscriminately allow all proxy targets in jwchat
    configuration.
  * Redirect to Plinth from home page instead of showing jwchat
    (Closes: #772919).

  [ James Valleroy ]
  * Replace cdn.debian.net with http.debian.net in LXC template
    (Closes: #774479).

 -- Nick Daly <Nick.M.Daly@gmail.com>  Sun, 14 Jun 2015 20:35:03 -0500

freedombox-setup (0.3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust debian/tests/test-chroot to build using unstable instead of
    testing.  We are focusing on unstable for now.
  * Update Standards-Version from 3.9.5 to 3.9.6.

  [ James Valleroy ]
  * Remove changes to old ejabberd config file. New ejabberd package
    uses yml config.
  * Enable scramblesuit plugin for obfsproxy in tor. Enable ExtORPort
    for local communication between tor and obfsproxy.
  * Fix typo in Dreamplug wifi setup script.
  * Add netcat dependency for tor-get-orport.
  * Fixes to Tor configuration:
    - Move DNSPort to 9053 so it does not interfere with dnsmasq.
    - For configured interfaces, only add SocksPort to interfaces
      with static IPs.
  * Fix beaglebone setup to handle btrfs.

  [ Sunil Mohan Adapa ]
  * Cleanup Plinth's Apache configuration.  Default SSL site is no
    longer hijacked.  Plinth supplied configuration is good enough
    don't interfere (Closes: #769878).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 06 Dec 2014 10:56:59 +0100

freedombox-setup (0.2) unstable; urgency=low

  * Updated documentation from the wiki.
  * Adjust test suite to use localhost as hostname if no /etc/hostname
    exist in the test environment.
  * Change Vcs-Browser field to the cgit interface.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Aug 2014 23:20:48 +0200

freedombox-setup (0.1) unstable; urgency=high

  [ James Valleroy ]
  * Fix typos in first-run.d and setup.d scripts.  Remove unused
    function.

  [ Petter Reinholdtsen ]
  * Correct DEBIAN_FRONTEND setting in testsuite to only use lower case
    letters in value.
  * Only insert /home/fbx/README in setup.d/45_user-doc if /home/fbx
    exist.
  * Make sure /etc/hostname exist in testsuite chroot.
  * Disable shell tracing in testsuite script now that it is working.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 25 Aug 2014 08:15:52 +0200

freedombox-setup (0.0.49) unstable; urgency=medium

  [ James Valleroy ]
  * Fix wrong quote character in setup.d/99_provide-source (Closes: #756529).
  * Clean up beaglebone related code.
  * Adjust Tor setup to enable it as a transparent proxy.

  [ Petter Reinholdtsen ]
  * Change test-chroot to use SOURCE=false to avoid trying to download
    the source packages when testing.
  * Adjust test-chroot to use DEBIAN_FRONTEND=Noninteractive, as no tty
    is available when testing.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 03 Aug 2014 11:46:38 +0200

freedombox-setup (0.0.48) unstable; urgency=medium

  * Depend on libpam-tmpdir to separate user temporary files by default.
  * Depend on libpam-abl to make brute force login attacks harder
    by default.
  * Update documentation from wiki.
  * Explain in setup.d/99_provide-source that source is added when it is
    done.
  * Add autopkgtest check running the setup script.
  * Move monkeysphere from depends to suggests while we wait for a
    solution for bug #635711.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Jul 2014 20:42:05 +0200

freedombox-setup (0.0.47) unstable; urgency=low

  [ Nick Daly ]
  * Tee rpi-update output to the build log.
  * Rename NOSOURCE variable to SOURCE.
  * Remove IPv6 configuration from networking auto-config, as network
    setup seem to choke on it.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Jun 2014 08:08:34 +0200

freedombox-setup (0.0.46) unstable; urgency=medium

  [ James Valleroy ]
  * Add support for Beaglebone using the linux-image-armmp kernel
    in Debian.
  * Adjust serial port setup to handle both Dreamplug and Beaglebone.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 16 May 2014 22:24:50 +0200

freedombox-setup (0.0.45) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Depend on firewalld to block all access by default, and require
    active involvement to open a port.  This require an updated plinth
    package.
  * Depend on how-can-i-help to let every user of apt know about
    problems with 'our' packages.

  [ James Valleroy ]
  * Add IPv6 support to network interfaces, privoxy, ejabberd.
  * Add apache conf for jwchat, separate from fbx site conf.
  * Add initial support for the Beagle Bone.
  * Skip backup in rpi-update to avoid error caused by recent change
    in rpi-update triggering error when no kernel is installed when
    rpi-update is executed the first time.

  [ Sunil Mohan Adapa ]
  * Remove freedombox-client-proxy script, as all the iptables rules
    are now handled by the plinth package.  Depend on plinth
    (>= 0.3.2.0.git.20140504-1) to get a version with these rules.

  [ Petter Reinholdtsen ]
  * Disable downloading of non-Debian packages for the Beagle Bone.  We
    want to use Debian packages for this.
  * Remove now obsolete init.d scripts /etc/init.d/proxy and
    /etc/init.d/freedombox-client-proxy on upgrades.
  * Add curl as binary dependency, as rpi-update switched from wget to
    curl a month ago. in commit dd495b8dd7f36dc411f2ed2bbdc21e4062b01a62.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 May 2014 09:59:58 +0200

freedombox-setup (0.0.44) unstable; urgency=low

  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Add dependency on unattended-upgrades to make it easier to handle
    upgrades.
  * Rename init.d scripts first-run to freedombox-first-run and proxy to
    freedombox-client-proxy, to make it easier to see in /etc/init.d/
    which scripts belong to the freedombox setup.
  * Adjust freedombox-first-run boot dependencies to run after
    firewalld, tor, haveged, lxc and pagekite, in case those are
    needed to set up the system.
  * Rename interface_detect to interface-detect, for more consistent
    naming with the other sbin tools in this package.
  * Rename setup.d/10_dreamplug to setup.d/10_hardware to better reflect
    its current task.
  * Drop checkinstall from dependencies.  It is not used, as far as I
    can tell.
  * Drop lua-sec, python-augeas, python-beautifulsoup,
    python-bjsonrpc, python-docutils and python-lxml from
    dependencies.  None of them are used, as far as I can tell, and
    they are libraries that should be pulled in by packages that need
    them.
  * Drop python-argparse from dependencies, it is now a virtal package
    provided by libpython2.7-stdlib.
  * Add dblatex, w3m and zip as build dependencies for the new
    documentation setup to get the package building automatically
    (Closes: #745539).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Apr 2014 20:56:00 +0200

freedombox-setup (0.0.43) unstable; urgency=low

  * Add Sunil Mohan Adapa as uploader.
  * Correct copyright info for lxc-templates/lxc-debian-freedombox, it
    is LGPL 2.1+, not GPL2+.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Apr 2014 14:21:48 +0200

freedombox-setup (0.0.42) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop the README.fbx-home file, and generate it from
    <URL: https://wiki.debian.org/FreedomBox/Manual/Jessie > via Docbook.
    Store the docbook version of the manual in the source tarball.
  * Build-depend on libxml2-utils, xmlto and libwww-perl to build
    the documentation.

  [ James Valleroy ]
  * In initial apache setup, disable plinth.conf if plinth-ssl.conf is enabled.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Mar 2014 16:55:02 +0100

freedombox-setup (0.0.41) unstable; urgency=low

  [ James Valleroy ]
  * Change Tor config based on feedback from the Tor community.
  * Correct ethernet ports in proxy init script.  eth0 is external
    and eth1 is internal.
  * Make privoxy listen on all interfaces.
  * Add IPv6 tests.
  * Make Tor control socket tests a little more robust.
  * Rewrite Tor obfsproxy test to avoid relying on log file.

  [ Petter Reinholdtsen ]
  * Add draft rules in doc/ to generate the documentation from the
    wiki using docbook transformations.
  * Recommend the pagekite package currently in NEW.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Mar 2014 08:35:38 +0100

freedombox-setup (0.0.40) unstable; urgency=low

  [ James Valleroy ]
  * For wifi AP setup, source machine-detect and check if $MACHINE is
    dreamplug.

  [ Petter Reinholdtsen ]
  * Add Avahi service definitions for domain(53), ssh(22), sftp-ssh(22)
    and xmpp-server(5269) to announce the services we provide.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Mar 2014 14:20:41 +0100

freedombox-setup (0.0.39) unstable; urgency=low

  * Adjust tor testsuite message to be more clear.
  * Depend on plinth (>= 0.3.1.git.20140304-1), the version now in
    jessie.
  * Document copyright for lxc-templates/lxc-debian-freedombox.
  * Add missing build dependency on python-support and
    python | python-all | python-dev | python-all-dev as well as
    raise debhelper compat version from 8 to 9 to use the python
    rules automatically.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 Mar 2014 23:14:56 +0100

freedombox-setup (0.0.38) unstable; urgency=low

  * Added ntp testsuite check.
  * Correct project git repository URL used in the README.
  * Depend on avahi-daemon to announce available services on the local
    net and provide mdns hostname info.  Depend on avahi-utils to
    include tools to use avahi.  Depend on libnss-mdns to enable mdns.
  * Depend on libnss-gw-name to make sure gateway.localhost always
    map to the current default gateway.
  * Remove iproute dependency.  It is a isc-dhcp-client dependency and
    we do not need a direct dependency.
  * Remove python-cheetah and python-cherrypy3 dependencies.  They are a
    plinth dependency and we do not need a direct dependencies.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 Mar 2014 09:10:14 +0100

freedombox-setup (0.0.37) unstable; urgency=low

  [ James Valleroy ]
  * Added new jwchat testsuite check.
  * Use correct hostname for ejabberd and jwchat, when running setup.d
    scripts inside a chroot.

  [ Petter Reinholdtsen ]
  * Removed git and mercurial as dependencies.  They are no longer used
    in setup.d/ as no source repositories are downloaded any more.
  * Also removed make and build-essential, as building source is no
    longer needed to get services working.
  * Removed libpython2.7 as dependency.  As far as 'aptitude why' can
    see, depending on python-augeas is enough to pull it in.
  * Removed python-simplejson as dependency.  As far as 'aptitude why'
    can see, depending on plinth is enough to pull it in.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 18 Mar 2014 23:29:56 +0100

freedombox-setup (0.0.36) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Quiet down ldap-server testsuite test.
  * Start on Tor testsuite test.  Check if wget via tor work.
  * Add privoxy test to check if the proxy really work.
  * Adjust plinth testsuite test to skip certificate check, as it is
    self signed and wget fail without --no-check-certificate.

  [ James Valleroy ]
  * Change setup.d/80_tor to not disable Tor socks port in the default
    configuration of tor.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Mar 2014 06:48:57 +0100

freedombox-setup (0.0.35) unstable; urgency=low

  * Upload to Debian unstable.
  * Update the package description.
  * Add homepage and vcs links in control file.
  * Depend on essential package hostname to ensure it is pulled in
    also when using debootstrap --variant minbase.
  * Move ~fbx/README file to /usr/share/doc/ and copy it in place in
    setup.d/45_user-doc, to make sure file only show up when setting
    up a FreedomBox.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2014 20:25:47 +0100

freedombox-setup (0.0.34) wheezy; urgency=low

  [ Nick Daly ]
  * Reverse roles of eth0 and eth1 ports.  Now, eth0 is a DHCP client,
    and eth1 (if it exist) is a DHCP server.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 14 Mar 2014 22:28:48 +0100

freedombox-setup (0.0.33) wheezy; urgency=low

  [ Nick Daly ]
  * Generate random Globalscale MAC addresses, not Xerox ones.

  [ Petter Reinholdtsen ]
  * Add Bdale Garbee and Nick Daly as uploaders.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Mar 2014 18:34:45 +0100

freedombox-setup (0.0.32) wheezy; urgency=low

  [Nick Daly]
  * MAC changes now apply to /etc/network/interfaces; fix docs.
    - The sed command shouldn't've started with "^".
    - Don't "wc -l" the wired interface list.
    - Replace deprecated "service networking restart".
    - Tabs to 4 spaces. (everywhere)
  * Moved provide-source from 60 to 99 to make sure the source of all
    packages are fetched for images needing source.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Feb 2014 22:52:54 +0100

freedombox-setup (0.0.31) wheezy; urgency=low

  [ Nick Daly ]
  * Correct network setup to use bash and work better
    on the Dreamplug.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 04 Feb 2014 23:05:01 +0100

freedombox-setup (0.0.30) wheezy; urgency=low

  [ Petter Reinholdtsen ]
  * Add ntp as dependency, to make sure the clock is correct (and not
    1970, as it end up as on the Raspberry PI).
  * Drop unused pandoc from dependency list.  Thanks to Nick Daly for
    noticing, as it is currently missing in Jessie.

  [ Nick Daly ]
  * Drop setup.d/70_fetch-projects.  Those that want to look at the
    source can fetch it themselves.
  * Drop unused setup.d/75_projects-setup.
  * Adjust network setup to get it working on the Dreamplug.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Jan 2014 15:08:51 +0100

freedombox-setup (0.0.29) wheezy; urgency=low

  [ James Valleroy ]
  * Force overwrite of snakeoil certificates during first run script.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 02 Dec 2013 01:32:04 +0100

freedombox-setup (0.0.28) wheezy; urgency=low

  [ James Valleroy ]
  * Add setup script to install tor as bridge relay.
  * Fix lxc template install location.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 01 Dec 2013 18:42:49 +0100

freedombox-setup (0.0.27) wheezy; urgency=low

  [ James Valleroy ]
  * Dreamplug: after configuring network in first-run, setup persistent
    rules using udev script write_net_rules.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2013 22:14:17 +0100

freedombox-setup (0.0.26) wheezy; urgency=low

  * Extend plinth-server test to check HTTP reply from plinth.
  * New web-proxy test to check if privoxy is listening.
  * Depend on lsof to make debugging easier.
  * Depends and recommends on batctl, bridge-utils, rfkill and
    wireless-tools to have the tools needed to configure wireless,
    bridging and batman-adv mesh networking available.  Recommends for
    the packages that might not be available on all architectures.
  * Change setup.d/91_privoxy to install privoxy instead of
    freedombox-privoxy, as the latter seem to have no maintainer at
    the moment.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 03 Nov 2013 10:48:46 +0100

freedombox-setup (0.0.25) wheezy; urgency=low

  * Depend on vim-tiny to get some editor installed by default.
  * Add debug information when configuring git for etckeeper.
  * Change setup.d/90_apache2 to not expand variables when creating
    /etc/apache2/sites-available/fbx.conf. Based on patch from James
    Valleroy.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Nov 2013 07:15:11 +0100

freedombox-setup (0.0.24) wheezy; urgency=low

  * Move code to set up /etc/network/interfaces from setup.d/ to
    first-run.d/05_network to allow it to be configured based on the
    detected hardware on first boot.
  * Move first-run flag file to /var/lib/freedombox/ for FHS
    compliance.
  * Invert logic deciding when to run the first-run init.d script, to
    make sure it is only run after setup.d is executed, and not by
    just installing freedombox-setup, to avoid surprising those
    testing the Debian package.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Nov 2013 20:41:05 +0100

freedombox-setup (0.0.23) wheezy; urgency=low

  [ James Valleroy ]
  * Add a new apache server conf file to replace jwchat.conf and
    forward plinth requests to plinth.conf.

  [ Petter Reinholdtsen ]
  * Change setup.d/10_dreamplug to only add /tmp/ as tmpfs in fstab,
    as the code setting device names for / and /boot/ is not needed
    when we use vmdebootstrap.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Oct 2013 18:43:35 +0100

freedombox-setup (0.0.22) wheezy; urgency=low

  * Add binary dependency on dnsutils for dig to get testsuite working
    out of the box.
  * Add binary dependency on hostname needed by setup.d scripts.
  * Avoid force removal of file to avoid warning om setup.d/98_next-is-
    first-run when /var/freedombox/first-run is missing.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Oct 2013 09:12:06 +0100

freedombox-setup (0.0.21) wheezy; urgency=low

  * Disable setup.d/50_openvpn, which seem to be old cruft.
  * Add new dns-server check to detect if DNSSEC is enabled or not.
  * Make sure first-run logs output to /var/log/freedombox-first-run.log.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Oct 2013 23:34:03 +0100

freedombox-setup (0.0.20) wheezy; urgency=low

  * Remove setup.d/85_plinth, now part of the plinth package.
  * Add two new testsuite checks, looking for a running Plinth and DNS
    server.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Oct 2013 10:02:56 +0100

freedombox-setup (0.0.19) wheezy; urgency=low

  * Start on test suite framework.  Add simple LDAP and XMPP test as a
    start.
  * Insert code in setup.d/10_dreamplug to set up Dreamplug and
    Raspberry Pi kernel and initrd, as well as enabling serial console
    on the Dreamplug, copied from the freedom-maker system.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Oct 2013 08:06:10 +0100

freedombox-setup (0.0.18) wheezy; urgency=low

  * Update dnsmasq server configuration for new version in Debian
    Jessie.  Patch from James Valleroy.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2013 20:47:41 +0200

freedombox-setup (0.0.17) wheezy; urgency=low

  [ Petter Reinholdtsen ]
  * Added new dependencies htop, iftop and tcpdump to make it easier
    to debug the freedombox.  Might be removed in a release build.
  * Added setup.d/98_next-is-first-run to make sure
    /var/freedombox/first-run is removed and init.d/first-run is
    triggered on the next reboot.
  * Update setup.d/85_plinth with the apache modules needed to get
    plinth+ssl working.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2013 09:20:13 +0200

freedombox-setup (0.0.15) wheezy; urgency=low

  [ Nick Daly ]
  * Adjust setup.d/95_plinth to use Apache config from the new
    plinth package, which should fix SSL setup.

  [ Petter Reinholdtsen ]
  * Depend on plinth (>= 0.3.0.0.git.20131007.pere.2) to get a version
    that should work with the new setup.d/85_plinth file.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 07 Oct 2013 12:18:18 +0200

freedombox-setup (0.0.14) wheezy; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure to exit on first error in postinst (thank you lintian).
  * Adjust first-run init.d script to commit to etckeeper before
    starting too, to document changes done at this stage.
  * Disable SSL in plinht, as it isn't working yet.
  * Fix typo causing apache to log  to /error.log and /access.log
    for plinth.

  [ James Valleroy ]
  * Fix bug in fetch-projects that caused a few projects to end up in
    root directory.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Oct 2013 11:42:04 +0200

freedombox-setup (0.0.13) wheezy; urgency=low

  * Correct etckeeper/git workaround to really detect when user.email
    must be set.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Oct 2013 14:17:28 +0200

freedombox-setup (0.0.12) wheezy; urgency=low

  * Added LXC template debian-freedombox by Rob van der Hoeven from
    http://freedomboxblog.nl/data/lxc-debian-box.gz.
  * Adjusted setup.d/20_lxc to document how it could be used.
  * Updated LXC template debian-freedombox with changes done in lxc
    version 0.9.0~alpha3-2+deb8u1, to only keep the relevant changes
    relative to the official Debian version in Jessie.
  * Added postinst script to fix etckeeper user.email if the automatic
    value is invalid.
  * Added new setup.d/15_ssh-keys to remove the SSH keys before any
    images are created, to make sure only unique keys are used on
    clients.
  * Added new first-run.d/85_jwchat and adjusted setup.d/85_jwchat to
    remove ejabberd SSL certificate from images and generate it on
    first boot.
  * Added new setup.d/30_ldap-server to start on LDAP server setup.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Oct 2013 13:21:25 +0200

freedombox-setup (0.0.11) wheezy; urgency=low

  * Fix setup.d/20_lxc, make sure to install lxc non-interactively.
  * Adjust setup.d/60_provide-source to skip this step if
    NOSOURCE=true is set, to speed up test installations.
  * Add the d-i preseed files to preseed/ in the source package.
  * Adjusted setup.d/70_fetch-projects to look up home directory and
    gid dynamically.  Corrected GIT url for FreedomBuddy.
  * Adjusted setup.d/01_etckeeper-pre to set the global git user.email
    for root to make sure etckeeper always is able to commit changes.
  * Adjusted first-run init.d script to commit changes in /etc/ using
    etckeeper.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 01 Oct 2013 10:03:53 +0200

freedombox-setup (0.0.10) wheezy; urgency=low

  [ Nick Daly ]
  * Update handling of SSL setup in apache.

  [ Petter Reinholdtsen ]
  * Move generation of snakeoil SSL certificate from setup to
    first-run, to make it unique for each machine.
  * New script setup.d/20_lxc to set up LXC for use by the different
    services.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 01 Oct 2013 07:22:58 +0200

freedombox-setup (0.0.9) wheezy; urgency=low

  [ Petter Reinholdtsen ]
  * Added key-report and freedombox-todos to list of repositories feched
    by setup.d/70_fetch-projects.  Dropped exmachina, now integrated with
    plinth.
  * Added setup.d/05_apt-sources to disable cdrom APT sources after
    installation, to make sure plinth can install packages without
    asking for a CD to be installed.
  * Rewrote setup.d/30_dnsmasq-server to split config in three
    parts, one static and two that could change.

  [ Nick Daly ]
  * Added setup.d/01_etckeeper-pre to store /etc/ status before
    applying FreedomBox setup.
  * Added code to use snakeoil SSL certificate with Apache, and put
    plinth behind this https connection.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 30 Sep 2013 20:38:23 +0200

freedombox-setup (0.0.8) wheezy; urgency=low

  * Fix typo in 90_jwchat hanging the setup.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Sep 2013 23:17:09 +0200

freedombox-setup (0.0.7) wheezy; urgency=low

  * Fix typo in update-rc.d arguments in rules file.
  * Adjust setup.d/80_plinth to create apache site file with .conf
    ending to work with apache2 in Jessie.
  * Created new /usr/lib/freedombox/first-run.d/ directory and moved
    most code from init.d/first-run to this directory, to make the
    first-run code extendable using extra packages.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Sep 2013 22:32:56 +0200

freedombox-setup (0.0.6) wheezy; urgency=low

  * Pull in libnss-myhostname and remove host name from /etc/hosts, to
    avoid having to update /etc/hosts when the local hostname change.
  * Drop unused wajig as dependency.
  * Make sure to commit the current status of /etc/ at the end of the
    setup.d run.
  * Adjust 90_jwchat to only update ejabberd.cfg once if it is executed
    several times.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Sep 2013 09:51:57 +0200

freedombox-setup (0.0.5) wheezy; urgency=low

  * Drop prosody from dependencies, as jwchat pull in ejabberd and two
    XMPP servers should not be running at the same time on the
    Freedombox.
  * Drop isc-dhcp-server from dependencies and disable
    setup.d/40_dhcp-server for now, as dnsmasq is also providing a
    DHCP server and we only need one DHCP server.  As dnsmasq also is
    the DNS server, it can not be removed without a larger rewrite of
    the setup.
  * Make sure the jwchat and ejabberd configuration contain the
    correct hostname and ejabberd have mod_http_bind enabled to get
    XMPP and jwchat working out of the box.  Patch from James
    Valleroy.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Sep 2013 06:51:29 +0200

freedombox-setup (0.0.4) wheezy; urgency=low

  * Add new setup.d/91_privoxy to set up freedombox-privoxy.
  * Remove plinth related call for 'a2enmod rewrite' in first-run, as it
    is already done in setup.d/80_plinth and do not have to happen
    during first boot.
  * Rewrite first-run and proxy script to use log_* functions for output.
  * Rewrite first-run script from bash to Bourne sh, to avoid the need
    to load bash during boot.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 10 Sep 2013 12:13:51 +0200

freedombox-setup (0.0.3) wheezy; urgency=low

  * Replace transitional package liblua5.1-sec1 with lua-sec, fixing
    installation problem in jessie.
  * Make sure to install jwchat non-interactively.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 10 Sep 2013 00:14:55 +0200

freedombox-setup (0.0.2) wheezy; urgency=low

  * Do not depend on jwchat, but instead pull it in using a setup.d
    script, to avoid failing to install when jwchat fail to install like
    it currently do in testing.
  * Add new helper script dreamplug-detect, and move all sbin tools to
    /usr/sbin/.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 09 Sep 2013 23:20:04 +0200

freedombox-setup (0.0.1) wheezy; urgency=low

  * Initial version based on setup from freedom-maker.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 09 Sep 2013 19:50:35 +0200
